Page MenuHomePhabricator

Update extensions not to use deprecated EditPageBeforeEditChecks hook
Closed, ResolvedPublic0 Story Points

Description

Update extensions not to use deprecated EditPageBeforeEditChecks hook.

The hook was deprecated in https://gerrit.wikimedia.org/r/#/c/344805/ (MW 1.29).

Use 'EditPageGetCheckboxesDefinition' instead, or 'EditPage::showStandardInputs:options' if you don't actually care about checkboxes and just want to add some HTML to the page.

extensions/FlaggedRevs/FlaggedRevs.php:
  561: $wgHooks['EditPageBeforeEditChecks'][] = 'FlaggedRevsUIHooks::addReviewCheck';

extensions/LiquidThreads/extension.json:
  300: 		"EditPageBeforeEditChecks": [

extensions/Pickle/extension.json:
  342: 		"EditPageBeforeEditChecks": [

extensions/Scribunto/Scribunto.php:
   73: $wgHooks['EditPageBeforeEditChecks'][] = 'ScribuntoHooks::beforeEditChecks';

extensions/TweetANew/TweetANew.php:
  207: $wgHooks['EditPageBeforeEditChecks'][] = 'efTweetANewEditCheckBox';

extensions/Wikibase/client/WikibaseClient.php:
  132: 	$wgHooks['EditPageBeforeEditChecks'][] = '\Wikibase\ClientHooks::onEditAction';

Event Timeline

matmarex created this task.Mar 30 2017, 4:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2017, 4:37 PM
Jdforrester-WMF triaged this task as Normal priority.Mar 30 2017, 5:12 PM
Jdforrester-WMF added a project: VisualEditor.
Jdforrester-WMF set the point value for this task to 0.
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 13 2017, 2:04 PM
Jdforrester-WMF lowered the priority of this task from Normal to Lowest.Apr 13 2017, 4:22 PM

The only child tasks here now are non-WMF-deployed extensions. Re-prioritising accordingly.

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Removing Wikibase based on James' comment.

jeblad added a subscriber: jeblad.

Sorry about this, slipped out off my head…

Jdforrester-WMF closed this task as Resolved.Jun 28 2017, 8:41 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 28 2017, 8:41 AM